ページの本文へ

Hitachi

ソフトウェア製品セキュリティ情報

2016.08.31 更新

Hitachi Web ServerにDoS脆弱性(CVE-2015-0293)が存在します。

脆弱性ID

HS15-025

脆弱性の内容

Hitachi Web ServerにDoS脆弱性(CVE-2015-0293)が存在します。

影響を受けるバージョンを下記に示しますので,対策版の適用または,下記[回避策]による回避をお願いいたします。
なお,SSL機能を使用していない場合は,本脆弱性は発生しません。

対象製品

(凡例)
対象製品名 : 脆弱性が含まれる製品名

対象バージョン :

プラットフォーム
脆弱性が含まれるバージョン

対象製品名 : Hitachi Web Server

対象バージョン :

AIX
04-00 - 04-00-06, 04-10-01 - 04-10-08,
03-10 - 03-10-11, 03-00 - 03-00-07(*1),
02-00 - 02-04-/I(*1),01-01 - 01-02-/E(*1)
HP-UX
03-00 - 03-00-07(*1),02-00 - 02-04-/I(*1),01-00 - 01-02-/D(*1)
HP-UX(IPF)
04-00 - 04-00-08, 04-10-01 - 04-10-09, 04-20 - 04-20-06,
03-10 - 03-10-13, 03-00 - 03-00-07(*1),
02-02 - 02-04-/I(*1)
Linux
04-00 - 04-00-06, 04-10-01 - 04-10-06, 04-20 - 04-20-05,
03-10 - 03-10-12, 03-00 - 03-00-07(*1),
02-00 - 02-06-/F(*1),01-01 - 01-01-/D(*1)
Linux(IPF)
04-00 - 04-00-06, 04-10-01 - 04-10-07,
03-10 - 03-10-11, 03-00 - 03-00-07(*1),
02-02 - 02-04-/F(*1)
Solaris
04-00 - 04-00-07,
03-10-04 - 03-10-11, 03-00 - 03-00-07(*1),
02-00 - 02-04-/F(*1),01-00 - 01-02-/D(*1)
Solaris(x64)
04-00-01
Windows
04-00 - 04-00-06, 04-10 - 04-10-08,
03-10 - 03-10-11, 03-00 - 03-00-07(*1),
02-00 - 02-04-/K(*1)
Windows(x64)
04-10-01 - 04-10-08

対象製品名 : Hitachi Web Server - Security Enhancement

対象バージョン :

HP-UX(IPF)
すべてのバージョン(*2)
*1
本バージョンをお使いの方は,後継製品へのバージョンアップをお願いいたします。
*2
本バージョンをお使いの方は,サポートサービス窓口へご相談願います。

また本問題は,Hitachi Web Serverを構成製品とする,日立製品にも該当します。Cosminexus製品で影響を受けるバージョンを下記に示します。Cosminexus製品に含まれるHitachi Web Serverのバージョン,及びCosminexus製品の対策バージョンについては,サポートサービス窓口へご相談願います。

■Cosminexus V8

対象製品名 : uCosminexus Application Server Express
対象製品名 : uCosminexus Application Server Smart Edition
対象製品名 : uCosminexus Developer 01
対象製品名 : uCosminexus Application Server Standard
対象製品名 : uCosminexus Application Server Enterprise
対象製品名 : uCosminexus Service Platform
対象製品名 : uCosminexus Service Architect
対象製品名 : uCosminexus Application Server Standard-R
対象製品名 : uCosminexus Developer Standard
対象製品名 : uCosminexus Developer Professional
対象製品名 : uCosminexus Primary Server Base
対象製品名 : uCosminexus Developer Professional for Plug-in

対象バージョン :

AIX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Solaris(x64), Windows, Windows(x64)
08-00 - 08-70

■Cosminexus V7

対象製品名 : uCosminexus Application Server Standard
対象製品名 : uCosminexus Developer Standard
対象製品名 : uCosminexus Developer Professional
対象製品名 : uCosminexus Application Server Enterprise
対象製品名 : uCosminexus Application Server Smart Edition
対象製品名 : uCosminexus Primary Server Base
対象製品名 : uCosminexus Service Platform
対象製品名 : uCosminexus Service Platform - Messaging
対象製品名 : uCosminexus Service Architect

対象バージョン :

AIX, HP-UX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Windows
07-00 - 07-60

■Cosminexus V6.7

対象製品名 : uCosminexus Developer Light
対象製品名 : uCosminexus Developer Standard
対象製品名 : uCosminexus Application Server Standard
対象製品名 : uCosminexus Developer Professional
対象製品名 : uCosminexus Application Server Enterprise

対象バージョン :

AIX, HP-UX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Windows
すべてのバージョン

■Cosminexus V6.0, V6.5

対象製品名 : Cosminexus Developer Light Version 6
対象製品名 : Cosminexus Developer Standard Version 6
対象製品名 : Cosminexus Primary Server Version 6
対象製品名 : Cosminexus Application Server Standard Version 6
対象製品名 : Cosminexus Developer Professional Version 6
対象製品名 : Cosminexus Application Server Enterprise Version 6
対象製品名 : Cosminexus Primary Server Base Version 6
対象製品名 : uCosminexus Primary Server Base

対象バージョン :

AIX, HP-UX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Windows
すべてのバージョン

■Cosminexus V5.0, V5.5

対象製品名 : Cosminexus Application Server Version 5
対象製品名 : Cosminexus Developer Version 5

対象バージョン :

AIX, HP-UX, Linux, Solaris, Windows
すべてのバージョン

対策版の提供

(凡例)
対象製品名 : 脆弱性の対策済み製品名

対策バージョン :

プラットフォーム
脆弱性の対策バージョン 対策版提供日

対象製品名 : Hitachi Web Server

対策バージョン :

AIX
04-10-10 2015.01.27
04-00-09 2015.01.29
03-10-14 2015.01.27
HP-UX(IPF)
04-20-07 2015.01.29
04-10-10 2015.03.19
04-00-09 2015.03.19
03-10-14 2015.03.19
Linux
04-20-07 2014.12.25
04-10-10 2015.01.06
04-00-09 2014.12.25
03-10-14 2015.01.16
Linux(IPF)
04-10-10 2015.02.23
04-00-09 2015.02.23
03-10-14 2015.03.02
Solaris
04-00-09 2015.04.02
03-10-14 2015.04.24
Windows
04-10-10(*3) 2015.04.27
04-00-09(*3) 2015.06.19
03-10-14 2015.07.24
*3
Cosminexus製品に含まれるHitachi Web Serverの対策バージョンは発行しておりません。後継製品であるCosminexus HTTP Serverへの移行をご検討ください。
サポートサービスをご契約されているお客様
サポートサービスの改良版の提供についてのホームページをご参照いただき,ホームページでご案内している手順にしたがって,対策版をご入手ください。
サポートサービスをご契約されていないお客様
当該製品に関しては,ライセンス管理を適切に行なう必要があるため,お手数ですが,お問い合わせフォームから提供をご依頼ください。ご依頼時には,お問い合わせ内容に「脆弱性ID」,「ご利用中の製品情報(製品名,バージョン,プラットフォーム,製番)」をご記入願います。

回避策

この脆弱性に対して下記の回避策があります。対策版を適用するまでの間,以下の回避策1, 2を実施していただくようお願いいたします。

  1. Hitachi Web ServerのSSLプロトコルの設定で,TLS1.0以降のみを使用するようにしてください。
    以下にSSLProtocolディレクティブの設定例を示します。

    SSLProtocol TLSv1

  2. Hitachi Web ServerのSSL通信で使用可能とする暗号種別に,RSA-EXPORT系以外の暗号種別を指定してください。
    以下にSSLRequiredCiphersディレクティブの設定例を示します。

    SSLRequiredCiphers DES-CBC3-SHA:AES128-SHA:AES256-SHA

なお,Hitachi Web Server (V1 から V4)は,TLS1.1以降のプロトコルをサポートしておりません。
TLS1.1またはTLS1.2(SHA2)の使用をご希望になる場合は,後継製品であるCosminexus HTTP Serverへの移行をご検討ください。

更新履歴

2016.08.31
[対策版の提供]を更新しました。
2015.11.30
[対策版の提供]を更新しました。
2015.06.30
[対策版の提供]を更新しました。
2015.06.10
このセキュリティ情報ページを新規作成および発信しました。
  • 弊社では,セキュリティ対応に関して正確な情報を提供するよう努力しておりますが,セキュリティ問題に関する情報は変化しており,当ホームページで記載している内容を予告なく変更することがありますので,あらかじめご了承ください。情報ご参照の際には,常に最新の情報をご確認いただくようお願いします。
  • 当ホームページに記載されている製品には,他社開発製品が含まれております。これらのセキュリティ情報については他社から提供,または公開された情報を基にしております。弊社では,情報の正確性および完全性について注意を払っておりますが,開発元の状況変化に伴い,当ホームページの記載内容に変更が生じることがあります。
  • 当ホームページはセキュリティ情報の提供を目的としたものであり,法律上の責任を負うものではありません。お客様が独自に行なった(あるいは行なわなかった)セキュリティ対応その他のご行為の結果につきまして,弊社では責任を負いかねます。
  • 当ホームページから他サイトのページへのリンクアドレスは情報発信時のものです。他サイトでの変更などを発見した場合には,リンク切れ等にならないように努力はいたしますが,永続的にリンク先を保証するものではありません。